import pip 
import pkg_resources

"""
    Require dependences:
    - scikit-image
"""

packages = [p.project_name for p in pkg_resources.working_set]

if not("scikit-image" in packages):
    pip.main(["install", "scikit-image"])

if not("opencv-python" in packages):
    pip.main(["install", "opencv-python"])

try:
    import os
    from qgis import processing

    from qgis.gui import QgsMapToolPan
    from qgis.core import QgsProject, Qgis, QgsRasterLayer
    from PyQt5 import QtWidgets, QtGui, QtCore
    from PyQt5.QtWidgets import QTreeWidget, QTreeWidgetItem, QApplication, QWidget

    import cv2
    import glob
    import shutil

    from osgeo import gdal, osr, ogr

    import operator
    import numpy as np
    from random import randint
    from skimage.transform import resize
    from scipy.ndimage import gaussian_filter

except ImportError as error:
    print(error)

print("Imports ok")